Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.net
Class WebProxyTunnelSocket

    java.lang.Object
      com.mindbright.net.WebProxyTunnelSocket

public class WebProxyTunnelSocket
extends java.lang.Object

Socket that implements web proxy tunnelling (using CONNECT). Described in an Internet Draft (expired Feb. 1999) titled 'Tunneling TCP based protocols through Web proxy servers' by: Ari Luotonen. Proxy-authentication is described in RFC2616 and RFC2617.

Author:
  Mats Andersson (originally by John Pallister)

Method Summary
`static java.net.Socket` | `getProxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, long proxyTimeout, ProxyAuthenticator authenticator, java.lang.String userAgent)`
`static java.net.Socket` | `getProxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, long proxyTimeout, java.lang.String protoStr, ProxyAuthenticator authenticator, java.lang.String userAgent)`
`static java.net.Socket` | `getProxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, ProxyAuthenticator authenticator, java.lang.String userAgent)`
`static java.net.Socket` | `getProxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, java.lang.String protoStr, ProxyAuthenticator authenticator, java.lang.String userAgent)`
`HttpHeader` | `getResponseHeader()`
`java.lang.String` | `getServerDesc()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getResponseHeader

    public HttpHeader getResponseHeader()

### getServerDesc

    public java.lang.String getServerDesc()

### getProxy

    public static java.net.Socket getProxy(java.lang.String host,
                                           int port,
                                           java.lang.String proxyHost,
                                           int proxyPort,
                                           ProxyAuthenticator authenticator,
                                           java.lang.String userAgent)
                                    throws java.io.IOException,
                                           java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getProxy

    public static java.net.Socket getProxy(java.lang.String host,
                                           int port,
                                           java.lang.String proxyHost,
                                           int proxyPort,
                                           long proxyTimeout,
                                           ProxyAuthenticator authenticator,
                                           java.lang.String userAgent)
                                    throws java.io.IOException,
                                           java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getProxy

    public static java.net.Socket getProxy(java.lang.String host,
                                           int port,
                                           java.lang.String proxyHost,
                                           int proxyPort,
                                           java.lang.String protoStr,
                                           ProxyAuthenticator authenticator,
                                           java.lang.String userAgent)
                                    throws java.io.IOException,
                                           java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### getProxy

    public static java.net.Socket getProxy(java.lang.String host,
                                           int port,
                                           java.lang.String proxyHost,
                                           int proxyPort,
                                           long proxyTimeout,
                                           java.lang.String protoStr,
                                           ProxyAuthenticator authenticator,
                                           java.lang.String userAgent)
                                    throws java.io.IOException,
                                           java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD